Package com.macrofocus.high_d.parallelcoordinates

# Class AbstractParallelCoordinatesController<Component,Row,Column>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesController<Component,Row,Column>

All Implemented Interfaces:
  `ParallelCoordinatesController<Component,Row,Column>`

Direct Known Subclasses:
  `JavaFXParallelCoordinatesController`

public abstract class AbstractParallelCoordinatesController<Component,Row,Column> extends Object implements ParallelCoordinatesController<Component,Row,Column>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbstractParallelCoordinatesController.DefaultMouseListener`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final AbstractParallelCoordinatesController<Component,Row,Column>.DefaultMouseListener`
  `mouseListener`
  `protected MutableProperty<Boolean>`
  `reordering`
  `protected MutableProperty<Boolean>`
  `reversing`

  ### Fields inherited from interface com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesController

  `PROPERTY_REORDERING, PROPERTY_REVERSING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParallelCoordinatesController()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getLocksmith()`
  `com.macrofocus.high_d.interaction.InteractionMode`
  `getMode()`
  `MutableProperty<Boolean>`
  `getReordering()`
  `MutableProperty<Boolean>`
  `getReversing()`
  `void`
  `setLocksmith(Object locksmith)`
  `void`
  `setMode(com.macrofocus.high_d.interaction.InteractionMode mode)`
  `void`
  `setReordering(MutableProperty<Boolean> reordering)`
  `void`
  `setReversing(MutableProperty<Boolean> reversing)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesController

  `getView, setView`

- ## Field Details

  - ### mouseListener

    protected final AbstractParallelCoordinatesController<Component,Row,Column>.DefaultMouseListener mouseListener

  - ### reordering

    protected MutableProperty<Boolean> reordering

  - ### reversing

    protected MutableProperty<Boolean> reversing

- ## Constructor Details

  - ### AbstractParallelCoordinatesController

    public AbstractParallelCoordinatesController()

- ## Method Details

  - ### getReordering

    public MutableProperty<Boolean> getReordering()
    Specified by:
      `getReordering` in interface `ParallelCoordinatesController<Component,Row,Column>`

  - ### setReordering

    public void setReordering(MutableProperty<Boolean> reordering)
    Specified by:
      `setReordering` in interface `ParallelCoordinatesController<Component,Row,Column>`

  - ### getReversing

    public MutableProperty<Boolean> getReversing()
    Specified by:
      `getReversing` in interface `ParallelCoordinatesController<Component,Row,Column>`

  - ### setReversing

    public void setReversing(MutableProperty<Boolean> reversing)
    Specified by:
      `setReversing` in interface `ParallelCoordinatesController<Component,Row,Column>`

  - ### getMode

    public com.macrofocus.high_d.interaction.InteractionMode getMode()
    Specified by:
      `getMode` in interface `ParallelCoordinatesController<Component,Row,Column>`

  - ### setMode

    public void setMode(com.macrofocus.high_d.interaction.InteractionMode mode)
    Specified by:
      `setMode` in interface `ParallelCoordinatesController<Component,Row,Column>`

  - ### getLocksmith

    public Object getLocksmith()

  - ### setLocksmith

    public void setLocksmith(Object locksmith)
    Specified by:
      `setLocksmith` in interface `ParallelCoordinatesController<Component,Row,Column>`